<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Cycle extends Model 
{

    protected $table = 'CYCLE';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $fillable = array('id', 'libelle_cycle', 'anneeScolaire_id');
    protected $visible = array('id', 'libelle_cycle');

    public function niveaux()
    {
        return $this->hasMany('App\Models\Niveau');
    }

    public function anneeScolaire()
    {
        return $this->belongsTo('App\Models\AnneeScolaire', 'anneeScolaire_id');
    }

}