<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Students extends Model 
{

    protected $table = 'student';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $fillable = array('id', 'fisrt_name', 'last_name', 'registration_number', 'parent_id', 'classe_id', 'photo', 'admis', 'phone');
    protected $visible = array('id', 'fisrt_name', 'last_name', 'registration_number', 'parent_id', 'photo', 'admis', 'phone');

    public function classe()
    {
        return $this->belongsTo('App\Models\Classe', 'classe_id');
    }

    public function parent()
    {
        return $this->belongsTo('App\Models\Parent', 'parent_id');
    }

    public function paiementScolarite()
    {
        return $this->hasMany('App\Models\PaiementScolarite');
    }

}